#ifndef REALLATENCY_H_
#define REALLATENCY_H_

#include <iostream>
#include <string>
#include "../core/Quantity.h"

namespace cosi {

class RealLatency : public RealQuantity {

public:
	RealLatency();
	RealLatency( double pValue ) ;
	~RealLatency();
	RealLatency Get();
	void Set(RealLatency pL) ;
	bool operator <(RealLatency pValue);
	bool operator >(RealLatency pValue);
	bool operator ==(RealLatency pValue);

	RealLatency operator+(RealLatency pL) ;
	RealLatency operator-(RealLatency pL) ;

	friend std::ostream& operator<<(std::ostream &pOs , const RealLatency &pL) ;

	static std::string sQuantityName;
};


}

#endif /*REALLATENCY_H_*/
